ch.qos.logback.core.joran.util

## Class ConfigurationWatchListUtil

- java.lang.Object
- - ch.qos.logback.core.joran.util.ConfigurationWatchListUtil

    public class ConfigurationWatchListUtil
    extends Object

Author:
  Ceki Gülcü

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `addToWatchList(Context context, URL url)`
`static ConfigurationWatchList` `getConfigurationWatchList(Context context)`
`static URL` `getMainWatchURL(Context context)`
`static void` `registerConfigurationWatchList(Context context, ConfigurationWatchList cwl)`
`static void` `setMainWatchURL(Context context, URL url)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### registerConfigurationWatchList

    public static void registerConfigurationWatchList(Context context,
                                                      ConfigurationWatchList cwl)

#### setMainWatchURL

    public static void setMainWatchURL(Context context,
                                       URL url)

#### getMainWatchURL

    public static URL getMainWatchURL(Context context)

#### addToWatchList

    public static void addToWatchList(Context context,
                                      URL url)

#### getConfigurationWatchList

    public static ConfigurationWatchList getConfigurationWatchList(Context context)